curl --request GET \
--url https://api.letsdothis.com/marketplace/v1/events/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/marketplace/v1/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/marketplace/v1/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "66a2b3c4d5e6f708192a3b4c",
"checkoutUrl": "https://www.letsdothis.com/us/e/city-river-run/checkout",
"title": "City River Run",
"titleByLocale": {
"en-US": "City River Run"
},
"tags": [
"running",
"10k",
"road"
],
"content": {
"excerpt": "A fast, welcoming city run along the riverfront.",
"courseDetails": "A mostly flat, single-loop course on closed roads.",
"racedayLogistics": "Packet pickup opens at 6:30 AM near the start line."
},
"startDate": "2026-10-18",
"location": {
"coordinates": {
"latitude": 45.5152,
"longitude": -122.6784
},
"address": {
"city": "Portland",
"formatted": "Riverfront Park, Portland, OR, USA",
"countryCode": "US",
"countryName": "United States",
"countyLine": "Multnomah County",
"postCode": "97204"
}
},
"images": {
"hero": "https://images.letsdothis.com/events/city-river-run/hero.jpg",
"logo": "https://images.letsdothis.com/events/city-river-run/logo.png",
"all": [
"https://images.letsdothis.com/events/city-river-run/course.jpg"
]
},
"races": [
{
"id": "66a3b4c5d6e7f8092a3b4c5d",
"title": "10K",
"discipline": "RUNNING",
"distance": {
"value": 10,
"unit": "KM"
},
"startDate": "2026-10-18",
"startTime": "08:00:00",
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"organizer": {
"id": "66a0b1c2d3e4f5061728394a",
"title": "Harbor Running Collective",
"images": {
"logoUrl": "https://images.letsdothis.com/organizers/harbor-running-collective/logo.png"
}
},
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"page": {
"totalResults": 1,
"first": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9",
"last": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9"
}
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}List events
Returns a paginated list of available events on Let’s Do This.
Note that this endpoint requires special marketplace API credentials. If you wish to use this endpoint, please contact the Let’s Do This team for more information.
curl --request GET \
--url https://api.letsdothis.com/marketplace/v1/events/ \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/marketplace/v1/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/marketplace/v1/events/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "66a2b3c4d5e6f708192a3b4c",
"checkoutUrl": "https://www.letsdothis.com/us/e/city-river-run/checkout",
"title": "City River Run",
"titleByLocale": {
"en-US": "City River Run"
},
"tags": [
"running",
"10k",
"road"
],
"content": {
"excerpt": "A fast, welcoming city run along the riverfront.",
"courseDetails": "A mostly flat, single-loop course on closed roads.",
"racedayLogistics": "Packet pickup opens at 6:30 AM near the start line."
},
"startDate": "2026-10-18",
"location": {
"coordinates": {
"latitude": 45.5152,
"longitude": -122.6784
},
"address": {
"city": "Portland",
"formatted": "Riverfront Park, Portland, OR, USA",
"countryCode": "US",
"countryName": "United States",
"countyLine": "Multnomah County",
"postCode": "97204"
}
},
"images": {
"hero": "https://images.letsdothis.com/events/city-river-run/hero.jpg",
"logo": "https://images.letsdothis.com/events/city-river-run/logo.png",
"all": [
"https://images.letsdothis.com/events/city-river-run/course.jpg"
]
},
"races": [
{
"id": "66a3b4c5d6e7f8092a3b4c5d",
"title": "10K",
"discipline": "RUNNING",
"distance": {
"value": 10,
"unit": "KM"
},
"startDate": "2026-10-18",
"startTime": "08:00:00",
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"organizer": {
"id": "66a0b1c2d3e4f5061728394a",
"title": "Harbor Running Collective",
"images": {
"logoUrl": "https://images.letsdothis.com/organizers/harbor-running-collective/logo.png"
}
},
"priceRange": {
"min": {
"value": 6500,
"currencyCode": "USD"
},
"max": {
"value": 8500,
"currencyCode": "USD"
}
}
}
],
"page": {
"totalResults": 1,
"first": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9",
"last": "eyJpZCI6IjY2YTJiM2M0ZDVlNmY3MDgxOTJhM2I0YyJ9"
}
}{
"statusCode": 429,
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Minimum start date filter (inclusive) in YYYY-MM-DD format
Maximum start date filter (inclusive) in YYYY-MM-DD format
Minimum last modified timestamp filter (inclusive) in ISO 8601 format
Maximum last modified timestamp filter (inclusive) in ISO 8601 format
Maximum number of results to return (1-200, default 10)
1 <= x <= 200Cursor to paginate through results before a given value
Cursor to paginate through results after a given value
(Optional) ISO-2 country code If supplied, it will be used to return a region specific checkout link. Defaults to "gb".
Was this page helpful?

